Bug 825319 - Skipping entering namespace causes exception
Skipping entering namespace causes exception
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-25 12:32 EDT by Clayton Coleman
Modified: 2015-05-14 21:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhc-0.93.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-08 13:59:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clayton Coleman 2012-05-25 12:32:12 EDT
If you hit enter when you provide a name it will throw an error.  Mustfix

Please enter a namespace or leave this blank if you wish to skip this step:


/usr/lib/ruby/gems/1.8/gems/commander-4.0.3/lib/commander/user_interaction.rb:237:in `method_missing': undefined local variable or method `namespace' for #<RHC::RerunWizard:0x7f634a91ad98> (NameError)
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc/wizard.rb:368:in `ask_for_namespace'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc/wizard.rb:275:in `config_namespace_stage'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc/helpers.rb:115:in `call'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc/helpers.rb:115:in `section'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc/helpers.rb:132:in `paragraph'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc/wizard.rb:269:in `config_namespace_stage'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc/wizard.rb:42:in `send'
	from /usr/lib/ruby/gems/1.8/gems/rhc-0.93.11/lib/rhc/wizard.rb:42:in `run'
Comment 1 John (J5) Palmieri 2012-05-25 16:38:52 EDT
Scoping issue with the section/paragraph formatting block.  Fixed.b
Comment 2 yquan 2012-05-28 03:24:48 EDT
It is not fixed on rhc-0.93.12.


[root@localhost bin]# rhc setup

Starting Interactive Setup for OpenShift's command line interface

We'll help get you setup with just a couple of questions. You can skip this in the future by copying your config's around:

    /root/.openshift/express.conf
    /root/.ssh/

To connect to openshift.redhat.com enter your OpenShift login (email or Red Hat login id): yquan@redhat.com
Password: *********

Configuration file /root/.openshift/express.conf already exists, backing up to /root/.openshift/express.conf.bak

We will now check to see if you have the necessary client tools installed.

Checking for git ... found

Checking for your namespace ... not found
Your namespace is unique to your account and is the suffix of the public URLs we assign to your applications. You may configure your namespace here or leave it blank and use 'rhc domain create' to create a namespace later.  You will not be able to create applications without first creating a namespace.

Please enter a namespace or leave this blank if you wish to skip this step:


Skipping! You may create a domain using 'rhc domain create'

Checking for applications ... none found

Here is a list of the types of application you can create: Obtaining list of cartridges (please excuse the delay)...
    * nodejs-0.6 - rhc app create -t nodejs-0.6 -a <app name>
    * jbossas-7 - rhc app create -t jbossas-7 -a <app name>
    * python-2.6 - rhc app create -t python-2.6 -a <app name>
    * jenkins-1.4 - rhc app create -t jenkins-1.4 -a <app name>
    * ruby-1.8 - rhc app create -t ruby-1.8 -a <app name>
    * diy-0.1 - rhc app create -t diy-0.1 -a <app name>
    * php-5.3 - rhc app create -t php-5.3 -a <app name>
    * perl-5.10 - rhc app create -t perl-5.10 -a <app name>

Thank you for setting up your system.  You can rerun this at any time by calling 'rhc setup'.
Comment 3 yquan 2012-05-28 03:38:36 EDT
Sorry for the comment-2,
It already have been fixed on rhc-0.93.12.


[root@localhost bin]# rhc setup

Starting Interactive Setup for OpenShift's command line interface

We'll help get you setup with just a couple of questions. You can skip this in the future by copying your config's around:

    /root/.openshift/express.conf
    /root/.ssh/

To connect to openshift.redhat.com enter your OpenShift login (email or Red Hat login id): yquan@redhat.com
Password: *********

Configuration file /root/.openshift/express.conf already exists, backing up to /root/.openshift/express.conf.bak

We will now check to see if you have the necessary client tools installed.

Checking for git ... found

Checking for your namespace ... not found
Your namespace is unique to your account and is the suffix of the public URLs we assign to your applications. You may configure your namespace here or leave it blank and use 'rhc domain create' to create a namespace later.  You will not be able to create applications without first creating a namespace.

Please enter a namespace or leave this blank if you wish to skip this step:


Skipping! You may create a domain using 'rhc domain create'

Checking for applications ... none found

Here is a list of the types of application you can create: Obtaining list of cartridges (please excuse the delay)...
    * nodejs-0.6 - rhc app create -t nodejs-0.6 -a <app name>
    * jbossas-7 - rhc app create -t jbossas-7 -a <app name>
    * python-2.6 - rhc app create -t python-2.6 -a <app name>
    * jenkins-1.4 - rhc app create -t jenkins-1.4 -a <app name>
    * ruby-1.8 - rhc app create -t ruby-1.8 -a <app name>
    * diy-0.1 - rhc app create -t diy-0.1 -a <app name>
    * php-5.3 - rhc app create -t php-5.3 -a <app name>
    * perl-5.10 - rhc app create -t perl-5.10 -a <app name>

Thank you for setting up your system.  You can rerun this at any time by calling 'rhc setup'.

Note You need to log in before you can comment on or make changes to this bug.